Bug 106476 - (samba) samba hangs randomly when enabling oplocks
samba hangs randomly when enabling oplocks
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-07 11:05 EDT by Antonio Medina Miltimore
Modified: 2014-08-31 19:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:06:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonio Medina Miltimore 2003-10-07 11:05:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; es-ES; rv:1.3.1) Gecko/20030425

Description of problem:
When smb.conf has the kernel "oplocks = Yes" 
we I get a lot of errors relating to kernel oplock breaks. and unsolicited
oplock request 

>> alagon.log.1.gz:  process_local_message: unsolicited oplock break reply from
>> pid 25578, port 57999, dev = 811,
>> inode = 3113220, file_id = 21


>> zulu.log.4.gz:  open_mode_check: exlusive oplock left by process 5579 >>
after break ! For file admon/arranque/arranca.bat, dev = 811, inode = >>
1769474. Deleting it to continue..

and ...

>> zadorra.log.4.gz:  request_oplock_break: no response received to 
>> oplock break request to pid 10087 on port 32909 for dev = 811, inode
=3686416, file_id = 43

in the kernel log we see 

messages.1.gz:Sep 29 09:59:37 galiano kernel: lease broken - owner pid = 28425

hw tcp v4 csum failed
hw tcp v4 csum failed
hw tcp v4 csum failed
h

We are running our samba server on an IBM xSeries235 server, 2processor SMP
enabled and hyperthreading enabled.
Two Intel Xeon Pentium processors running at 2.4GHZ, 

Version-Release number of selected component (if applicable):
samba-2.2.5-10

How reproducible:
Sometimes

Steps to Reproduce:
1.Enable kernel oplocks = Yes in the smb.conf file in a SMP machine.
2.
3.
    

Actual Results:  The samba server crashes disconnecting all Windows NT4 clients
from the network.Restarting the server solves the issue

Expected Results:  Normal operations

Additional info:

Kernel 2.4.20 

This message appears on a daily basis, even, after disabling kernel oplocks.
Seems like some kind of physical layer problem...

hw tcp v4 csum failed
hw tcp v4 csum failed
hw tcp v4 csum failed
hw tcp v4 csum failed
hw tcp v4 csum failed
hw tcp v4 csum failed
hw tcp v4 csum failed
hw tcp v4 csum failed
hw tcp v4 csum failed
hw tcp v4 csum failed
hw tcp v4 csum failed
hw tcp v4 csum failed
hw tcp v4 csum failed
hw tcp v4 csum failed
hw tcp v4 csum failed
hw tcp v4 csum failed
hw tcp v4 csum failed
hw tcp v4 csum failed
hw tcp v4 csum failed



The lease broken has disappeared from the kernel logs and the samba logs seem to
be giving correct output.
See before:
>> zadorra.log.4.gz:  request_oplock_break: no response received to 
>> oplock break request to pid 10087 on port 32909 for dev = 811, >>node
=3686416, file_id = 43

and now....

>> narcea.log.old:[2003/10/07 14:32:02, 3] 
>> smbd/oplock.c:oplock_break(890)
>> narcea.log.old:  oplock_break: returning success for dev = 811, >> inode =
7159908, file_id = 90
>>narcea.log.old:  Current exclusive_oplocks_open = 1

We have other IBM x235 models with ONE CPU and have no problems with that issue.
There seems to some kind of relationship between smp and oplocking in samba. 

I am not totally sure its a samba bug issue but the fact that this happens only
on a SMP machine with heavy load makes me think this could be possible. 

Physical connections seem to be OK, but we are going to do some more testing.
Comment 1 Bill Nottingham 2006-08-07 15:47:12 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 13:06:25 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.